import fs from "node:fs/promises";
import prettier from "prettier";
import { readFileSafeAsJson } from "../../shared/readFileSafeAsJson.js";
export async function updateAllContributorsTable({ owner, repository, }) {
    await fs.writeFile(".all-contributorsrc", await prettier.format(JSON.stringify({
        ...(await readFileSafeAsJson(".all-contributorsrc")),
        projectName: repository,
        projectOwner: owner,
    }), { parser: "json" }));
}
//# sourceMappingURL=updateAllContributorsTable.js.map